/* os_mac_eventchk.h */

/* 25Jan93  e  - so event checking can take place on the Mac */
/* 18Jan95  e  - added timer option */

#if defined( THINK_C ) || defined ( __MWERKS__ )

#include <LowMem.h>

extern void os_event_check( void );
extern long next_eventchk_ticks;

#define TicksBetweenEventChecks 6

#if USE_EVENTCHK_TIMER

#define MAYBE_EVENTCHK() { if ( next_eventchk_ticks != 0 ) os_event_check(); }

#else

#define MAYBE_EVENTCHK() { if ( LMGetTicks() >= next_eventchk_ticks ) os_event_check(); }

#endif

#else

#define MAYBE_EVENTCHK()

#endif
